package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Brt extends AbstractCommonVo {

    //Internal Unique ID of BR Contract
    private String inr = NULLSTR;

    //Discrepancies
    private String docdis = NULLSTR;

    //Reasons for Rejection
    private String docins = NULLSTR;

    //Documents Presented
    private String prsdoc = NULLSTR;

    //Disposal of Documents
    private String disdoc = NULLSTR;

    //Instructions Received from Applicant
    private String aplins = NULLSTR;

    //Maturity Period
    private String matper = NULLSTR;

    //Comments and Conclusions
    private String comcon = NULLSTR;

    //Settlement Instructions BR
    private String setinsbr = NULLSTR;

    //Identification of Goods
    private String roggod = NULLSTR;

    //Port of Discharge
    private String pordis = NULLSTR;

    //Place of Delivery
    private String delplc = NULLSTR;

    //Vessel Name
    private String vesnam = NULLSTR;

    //Release to Address
    private String relstoadr = NULLSTR;

    //Charges Deducted
    private String chaded = NULLSTR;

    //Charges Added
    private String chaadd = NULLSTR;

    //List of Modified Fields in BRDGRP
    private String fldmodblk = NULLSTR;

    //Narrative TAG 77A of MT754
    private String nartxt77a = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Defaulted content of Discrepancies
    private String docdisdef = NULLSTR;

    //discrepancies modified
    private String docdisflg = NULLSTR;

    //Disposal of Documents modified
    private String disdocdef = NULLSTR;

    //Defaulted content of Disposal of Documents
    private String disdocflg = NULLSTR;

    //Port of loading
    private String porlod = NULLSTR;

    //Notify Party
    private String notpty = NULLSTR;

    //Voyage numer
    private String voynum = NULLSTR;

    //Carrier
    private String carnam = NULLSTR;
}
