package com.brilliance.isc.bo.model;

import java.util.*;
import java.math.BigDecimal;
import com.brilliance.mda.runtime.mda.*;
import com.brilliance.mda.runtime.mda.impl.*;
import static com.brilliance.mda.runtime.mda.Constants.*;
import com.brilliance.mda.runtime.mda.util.*;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

/**
 *
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Ebap{
    private static Logger log = LoggerFactory.getLogger(Ebap.class);

    //Status
    private String pansta = NULLSTR;
    //DCLSTA
    private String dclsta = NULLSTR;
    //VRFSTA
    private String vrfsta = NULLSTR;
    //境内被担保人类型
    private IStream guetypjn = new StreamImpl();
    //境外被担保人类型
    private IStream guetypjw = new StreamImpl();
    //境内/境外被担保人类型
    private IStream guetypjnw = new StreamImpl();
    //保函金额
    private BigDecimal oldguaranamt = Decimals.ZERO_SCALE2;
    //资金调回金额提示
    private String thjewating = NULLSTR;
    //主债务金额提示
    private String zzwjew = NULLSTR;

//    @JsonIgnore
//    private transient IPanel conp;
//    @JsonIgnore
//    private transient IPanel conp1;

//    @Module(getter = false, setter = false)
//    private transient ModuleHolder<Ebagrp> recgrp;

    private Bapp pubp;

    private List<Ebbp> dclp;

    private List<Ebcp> vrfp;

    private Cfaref cfaref;

//    @Module(getter = false, setter = false)
//    private transient ModuleHolder<Cutp> cutp;


}