package com.brilliance.isc.common.jshmod.vo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;
import lombok.EqualsAndHashCode;

@Data
@Builder
@EqualsAndHashCode(callSuper = true)
@JsonIgnoreProperties(ignoreUnknown = true)
@ApiModel(value = "申报请求返回信息", description = "申报请求返回信息")
public class JshmodResponse extends AbstractCommonVo {

    @ApiModelProperty(value = "报送主信息", name = "jshmod", required = true)
    private Jshmod jshmod;

    @Override
    public void reset() {
        super.reset();
    }
}
