package com.brilliance.isc.common.vo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class AddbcbVo {
    //效期是否敞口
    private String bccls1 = NULLSTR;

    //合同尚未签订或生效
    private String bccls2 = NULLSTR;

    //保函期限超过三�'，已经总行�'�易金融部批准办理
    private String bccls3 = NULLSTR;

    //以下两个选项二选一
    private String bccls4 = NULLSTR;

    //预计效期为
    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date preexpdat;

    //GITAMECHO
    private String gitamecho = NULLSTR;
    //GITAMERMK
    private String gitamermk = NULLSTR;

    @JsonFormat(pattern = "yyyy-MM-dd", timezone = "GMT+8")
    private Date expdat;

    //国际部意见
    private String label5 = NULLSTR;
    //是否关联交易
    private String label6 = NULLSTR;
    //其他
    private String pwtyp8 = NULLSTR;
    //批文类型填写文本框

    private String pwtyp9 = NULLSTR;

    private  String bcbtyp6 = NULLSTR;
    //备查表类型填写文本框
    private  String bcbtyp7 = NULLSTR;

    //特殊规定
    private  String litameadv = NULLSTR;

    //特殊规定条件
    private  String ameadvrmk = NULLSTR;
}
