package com.brilliance.isc.constant;

public interface ErrorCode extends BizCode{
    /**
     * 配置文件读取错误
     */
    String CONFIG_READ_ERROR = "100000";


    /**
     * 公共模块异常错误码
     */
    String BIZ_COMMON_ERROR = "200000";


    /**
     * Counter 模块错误码
     */
    String COUNTER_ERROR = "300000";

    /**
     * 锁定错误码
     */
    //重复提交
    String LOCK_SUBMIT_REPEAT = "400000";

    //锁定业务失败
    String LOCK_BIZ_FAIL = "400001";

    //锁定待办业务，但是起始交易未经办
    String LOCK_BIZ_WITHOUT_BEGIN = "400011";

    /**
     * 组报错误
     *
     */
    String MT_MESSAGE_BUILD_ERROR = "500000";

    /**
     * 业务状态发生变化
     */
    String BIZ_STATE_CHANGE = "600000";

    /**
     * 非收单业务不可做交易提示
     */
    String NSDH_NOTALLOWED = "500001";

    /**
     * 汇款服务模块异常错误码
     */
    String REMIT_SERVER_ERROR = "600001";

    /**
     * 衍生品服务模块异常错误码
     */
    String DERIVATIVE_SERVER_ERROR = "600002";

    /**
     * 申报模块校验异常
     */
    String BOP_CHECK_FAILED = "700001";



}
