package com.brilliance.isc.vo;

import com.brilliance.isc.common.vo.CommonResult;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.io.Serializable;

/**
 * 交易按钮配置表
 * @TableName busbtn
 */

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BusbtnVo extends CommonResult {
    /**
     * 主键ID
     */
    private Long id;

    /**
     * 交易类别
     */
    private String bustyp;

    /**
     * 交易码
     */
    private String inifrm;

    /**
     * 按钮名称
     */
    private String btnnam;

    /**
     * 是否主流程
     */
    private String isMain;

    /**
     * 是否显示
     */
    private String isShow;

    /**
     * 排序
     */
    private Integer sort;



}