package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BctVo extends AbstractCommonVo {

    //Internal Unique ID of Import Collection
    private String inr = NULLSTR;

    //Reason for Non-Payment/Non-Acceptance
    private String resrej = NULLSTR;

    //Queries
    private String bcgque = NULLSTR;

    //Answers
    private String bcgans = NULLSTR;

    //Presented Documents
    private String docpre = NULLSTR;

    //BC Tenor Details
    private String bcgdet = NULLSTR;

    //Other Instructions
    private String othins = NULLSTR;

    //Free Text
    private String bctfre = NULLSTR;

    //Name of Vessel
    private String vesselnam = NULLSTR;

    //Covered Goods
    private String covgod = NULLSTR;

    //Collection Instructions
    private String colins = NULLSTR;

    //Draft Instructions
    private String dftins = NULLSTR;

    //Charges Text
    private String chgtxt = NULLSTR;

    //Interest Instructions
    private String intins = NULLSTR;

    //List of Modified Fields in BCDGRP
    private String fldmodblk = NULLSTR;

    //Release to Address
    private String reladr = NULLSTR;

    //Instructions for Second Mail
    private String colinssnm = NULLSTR;

    //Protest Instructions
    private String proins = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Defaultet content of BC Tenor Details
    private String bcgdetdef = NULLSTR;

    //BC Tenor Details modified
    private String bcgdetflg = NULLSTR;

    //Authority of Agent
    private String agtaut = NULLSTR;

    //Further Agent Information
    private String agtinf = NULLSTR;
}
