package com.brilliance.isc.vo.model;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import lombok.Getter;
import lombok.Setter;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Getter
@Setter
public class DzghxxVo extends AbstractCommonVo {

    //关联表名
    private String objtyp = NULLSTR;

    //关联表唯一标识号
    private String objinr = NULLSTR;

    //国结业务编号
    private String ownref = NULLSTR;

    //币种
    private String cur = NULLSTR;

    //已购未付金额
    private BigDecimal amtgwf  = Decimals.ZERO_SCALE3;

    //业务金额
    private  BigDecimal amt  = Decimals.ZERO_SCALE3;

    //解冻金额
    private  BigDecimal amtunfrez  = Decimals.ZERO_SCALE3;

    //客户卡号类型
    private String khzhlx = NULLSTR;

    //人民币卡号类型
    private String rmzhlx = NULLSTR;

    //客户卡号
    private String kehuzh = NULLSTR;

    //客户号
    private String ecifno = NULLSTR;

    //额度编号
    private String ghedbh = NULLSTR;

    //交易类型
    private String jioylx = NULLSTR;

    //柜员号
    private String userno = NULLSTR;

    //业务经办机构
    private String branch = NULLSTR;

    //E结算解锁标识
    private String elknam = NULLSTR;

    //TRN表唯一标识
    private String trninr = NULLSTR;

    //客户外币卡号
    private String wibzhh = NULLSTR;

    //额度状态
    private String edusta = NULLSTR;

    //E结算业务编号
    private String ejsref = NULLSTR;

    //付汇方式
    private String paytyp = NULLSTR;

    //人民币卡号
    private String rmbzhh = NULLSTR;

    //卡号开户核心机构号
    private String accbch = NULLSTR;

    //客户外币卡号下总金额
    private  BigDecimal amtwibzhh  = Decimals.ZERO_SCALE3;
}
