package com.brilliance.isc.esb.api.coms;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.coms.ReqCS06;
import com.brilliance.isc.esb.model.coms.ResCS06;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * COMS 押品系统请求方
 *
 * @restApi
 */
@RequestMapping("/COMS")
public interface ComsClient {

    /**
     * CS06 抵质押物详细信息查询交易
     *
     * @param reqCS06
     * @return
     */
    @PostMapping("/CS06")
    Res<ResCS06> callCS06(Req<ReqCS06> reqCS06);
}
