package com.brilliance.isc.esb.api.embfe;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.embfe.ReqDzw1;
import com.brilliance.isc.esb.model.embfe.ResDzw1;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 新一代支付前置系统请求方
 *
 * @restApi
 */
@RequestMapping("/NMBFE")
public interface EmbfeClient {
    /**
     * 电证往报对外接口
     */
    @PostMapping("/DZW1")
    Res<ResDzw1> callDzw1(Req<ReqDzw1> reqDzw1);

}
