package com.brilliance.isc.esb.api.gmgf;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.gmgf.*;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * GMGF 国贸公服接口平台请求方
 *
 * @restApi
 */
@RequestMapping("/EBIS")
public interface GmgfClient {
    /**
     * Ge57 报关单参考余额查询
     *
     * @param reqGe57
     * @return
     */
    @PostMapping("/GE57")
    Res<ResGe57> callGe57(Req<ReqGe57> reqGe57);


    /**
     * Ge59 报关单参考余额查询
     *
     * @param reqGe59
     * @return
     */
    @PostMapping("/GE59")
    Res<ResGe59> callGe59(Req<ReqGe59> reqGe59);


    /**
     * Ge67 报关单参考余额查询
     *
     * @param reqGe67
     * @return
     */
    @PostMapping("/GE67")
    Res<ResGe67> callGe67(Req<ReqGe67> reqGe67);


    /**
     * Ge69 报关单参考余额查询
     *
     * @param reqGe69
     * @return
     */
    @PostMapping("/GE69")
    Res<ResGe69> callGe69(Req<ReqGe69> reqGe69);
}
