package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.InnerReq;
import com.brilliance.isc.esb.model.inner.InnerReqRW02;
import com.brilliance.isc.esb.model.inner.InnerRes;
import com.brilliance.isc.esb.model.inner.InnerResRW02;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的预警系统接口
 *
 * @restApi
 */

@RequestMapping("/jk")
public interface InnerRwmsServer {
    /**
     * RW02 预警灰名单响应
     *
     * @param innerReqRW02
     * @return
     */
    @PostMapping("/RW02")
    InnerRes<InnerResRW02> callRW02(InnerReq<InnerReqRW02> innerReqRW02);
}
