package com.brilliance.isc.esb.model.bd;

/**
 * BDTK 光大接入北京电力统一开放平台获取token请求模型
 */
public class ReqBDTK {
    /**
     * 应用ID
     */
    public String appid;
    /**
     * 随机数
     */
    public String nonce;
    /**
     * 时间戳，有效期30秒(单位：毫秒)
     */
    public String timestamp;
    /**
     * 摘要
     */
    public String signature;
    /**
     * 授权类型(client_credentials)
     */
    public String grant_type;
    /**
     * 授权范围，多个以空格分隔
     */
    public String scope;
    /**
     * 完整请求路径
     */
    public String url;
}
