package com.brilliance.isc.esb.model.cfarcv;

import java.util.ArrayList;
import java.util.List;

/**
 * CFATT开头反馈报文模型
 */
public class Cfatt {
    /**
     * 应用类型
     */
    public String APPTYPE;
    /**
     * 当前文件类型
     */
    public String CURRENTFILE;
    /**
     * 输入/输出
     */
    public String INOUT;
    /**
     * 总文件数
     */
    public int TOTALFILES;
    /**
     * 文件名称
     */
    public List<String> FILES = new ArrayList<>();

    public Cfatt() {
    }

    public Cfatt(String APPTYPE, String CURRENTFILE, String INOUT, int TOTALFILES, List<String> FILES) {
        this.APPTYPE = APPTYPE;
        this.CURRENTFILE = CURRENTFILE;
        this.INOUT = INOUT;
        this.TOTALFILES = TOTALFILES;
        this.FILES = FILES;
    }
}
