package com.brilliance.isc.esb.model.hx;

import java.util.ArrayList;
import java.util.List;

public class ResO89152 {

    /**
     * 报表路径
     */
    public String BAOBLJ;

    /**
     * 查询总笔数
     */
    public String CXZOBS;

    /**
     * 每天的总金额
     */
    public String MTDZJE;

    public List<ItemF89151> F89151 = new ArrayList();

    public static class ItemF89151 {
        /**
         * 报文编号
         */
        public String MSGSNO;
        /**
         * 营业机构号
         */
        public String YNGYJG;
        /**
         * 货币代号
         */
        public String HUOBDH;
        /**
         * 交易金额
         */
        public String ZHIFJE;
        /**
         * 委托日期
         */
        public String MSGSDT;
        /**
         * 报文标识号
         */
        public String BAWBSH;
        /**
         * 报文种类
         */
        public String BAOWZL;
        /**
         * 报文类型
         */
        public String BWLXDH;
        /**
         * 业务种类
         */
        public String YWZLDM;
        /**
         * 发起行行号
         */
        public String FQCYJG;
        /**
         * 接收行行号
         */
        public String JSCYJG;
        /**
         * 报文状态
         */
        public String BAOWZT;
        /**
         * 回执状态
         */
        public String CHULZT;
        /**
         * 退回状态
         */
        public String JAOYZT;
        /**
         * 人行状态
         */
        public String RENHZT;
        /**
         * 账务状态
         */
        public String ZHUANT;
        /**
         * 结算标志
         */
        public String JIESBZ;
        /**
         * 结算流水
         */
        public String JIOYLS;
        /**
         * 对帐标志
         */
        public String DUIZBZ;
        /**
         * 扣款账号
         */
        public String DAILZH;
        /**
         * 销帐序号
         */
        public String XIOZXH;
        /**
         * 客户号
         */
        public String KEHHAO;
        /**
         * 账户类型
         */
        public String KHZHLX;
        /**
         * 账户性质
         */
        public String TZSJLX;
        /**
         * 付款人帐号
         */
        public String FKRZHH;
        /**
         * 付款人名称
         */
        public String FKRMCH;
        /**
         * 付款人地址
         */
        public String FKRDZH;
        /**
         * 借贷标记
         */
        public String JIEDBZ;
        /**
         * 收款人帐号
         */
        public String SKRZHH;
        /**
         * 收款人名称
         */
        public String SKRMCH;
        /**
         * 收款人地址
         */
        public String SKRDZH;
        /**
         * 宕账流水号
         */
        public String GZGYLS;
        /**
         * 经办流水
         */
        public String YNGYLS;
        /**
         * 复核流水
         */
        public String FHGYLS;
        /**
         * 清算场次
         */
        public String GNGXQH;
        /**
         * 原报文标识号
         */
        public String YBWBSH;
        /**
         * 原报文类型
         */
        public String YBWLXH;
        /**
         * 原报文编号
         */
        public String BAOGDH;
        /**
         * 国结业务流水
         */
        public String BAWLS2;
        /**
         * 国际收支编号
         */
        public String WAIGCH;
        /**
         * 国际收支申报
         */
        public String SHFOBZ;
        /**
         * 业务类型代码
         */
        public String YWLXDM;
        /**
         * 附言
         */
        public String FUYNH1;
        /**
         * 退汇原因
         */
        public String FUYNH2;
        /**
         * 退汇报文编号
         */
        public String DILYBH;
        /**
         * 渠道
         */
        public String CHNLNO;
        /**
         * 渠道来源
         */
        public String QUDQUX;
        /**
         * 业务拒绝码
         */
        public String YWJJDM;
        /**
         * 业务拒绝信息
         */
        public String YWJJXX;
        /**
         * 确认报文编号
         */
        public String XINX01;

    }

    public ResO89152() {
    }

    public ResO89152(String BAOBLJ, String CXZOBS, String MTDZJE, List<ItemF89151> f89151) {
        this.BAOBLJ = BAOBLJ;
        this.CXZOBS = CXZOBS;
        this.MTDZJE = MTDZJE;
        F89151 = f89151;
    }
}
