package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;

/**
 * 新国结和接口服务请求模型框架
 */
@JsonIgnoreProperties(ignoreUnknown = true)
public class InnerReq<T> {
    /**
     * 报文体
     */
    public T DATA;
    /**
     * 报文头
     */
    public Header header;

    public InnerReq() {
    }

    public InnerReq(T DATA) {
        this.DATA = DATA;
    }

}
