package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes9215 {

    public InnerRes9215() {
    }

    public InnerRes9215(String jiaoym, String bs, List<Item9215> lst9215) {
        this.jiaoym = jiaoym;
        this.bs = bs;
        this.lst9215 = lst9215;
    }

    /**
     * 报文名
     */
    public String jiaoym;
    /**
     *
     */
    public String bs;

    public List<Item9215> lst9215 = new ArrayList<>();

    public static class Item9215 {
        /**
         * 生效日期
         */
        public String begdat;
        /**
         * 时间
         */
        public String time;
        /**
         * 货币代号
         */
        public String cur;
        /**
         * 单位
         */
        public String danwei;
        /**
         * 钞买价
         */
        public String chmruj;
        /**
         * 钞卖价
         */
        public String chmcuj;
        /**
         * 买入价
         */
        public String mairuj;
        /**
         * 卖出价
         */
        public String maicuj;
        /**
         * 中间价
         */
        public String zongjj;
        /**
         * 美元折算价
         */
        public String meyzsj;
        /**
         * 内部折算价
         */
        public String nebzsj;
        /**
         * 平盘卖出价
         */
        public String ppmcuj;
        /**
         * 平盘买入价
         */
        public String ppmruj;
        /**
         * 年度决算牌价
         */
        public String ndjspj;
    }
}
