package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.LinkedList;
import java.util.List;

/**
 * 核心系统提供的实时查询自贸区特殊汇率响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes9509 {
    public InnerRes9509() {
    }

    public InnerRes9509(String jiaoym, String bishuu, List<Item9509> lst9509) {
        this.jiaoym = jiaoym;
        this.bishuu = bishuu;
        this.lst9509 = lst9509;
    }

    /**
     * 报文名
     */
    public String jiaoym;
    /**
     * 笔数
     */
    public String bishuu;

    public List<Item9509> lst9509 = new LinkedList<>();

    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class Item9509 {
        /**
         * 笔数
         */
        public String caozbz;
        /**
         * 生效日期
         */
        public String sxiorq;
        /**
         * 时间
         */
        public String shjian;
        /**
         * 货币代号
         */
        public String huobdh;
        /**
         * 单位
         */
        public String danwei;
        /**
         * 货币符号
         */
        public String huobfh;
        /**
         * 买入价
         */
        public String mairuj;
        /**
         * 卖出价
         */
        public String maichj;
        /**
         * 中间价
         */
        public String zhngjj;
        /**
         * 钞买价
         */
        public String chmruj;
        /**
         * 钞卖价
         */
        public String chmchj;
        /**
         * 平盘买入价
         */
        public String ppmrja;
        /**
         * 平盘卖出价
         */
        public String ppmcja;
        /**
         * 美元折算价
         */
        public String meyzsj;
        /**
         * 年度决算牌价
         */
        public String ndjspj;
        /**
         * 是否欧洲货币标志
         */
        public String sfobbz;
        /**
         * 欧元结算价
         */
        public String oyujsj;
        /**
         * 参数说明
         */
        public String canssm;
    }


}
