package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 * 对内内蒙古验签结果响应模型
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerResPDFVer {

    /**
     * 返回结果
     */
    public String result;
    /**
     * 证书序列号
     */
    public String cerserialnumber;
    /**
     * 证书所有者
     */
    public String cerCN;
    /**
     * 证书有效期开始时间
     */
    public String cernotbefore;
    /**
     * 证书有效期截止时间
     */
    public String cernotafter;
    /**
     * 证书颁发者
     */
    public String cerissuerDN;
    /**
     * 签章时间
     */
    public String signdate;
    /**
     * 备用字段1
     */
    public String backup1;
    /**
     * 备用字段2
     */
    public String backup2;
    /**
     * 备用字段3
     */
    public String backup3;



}
