package com.brilliance.isc.automatic.engine.feign;

import com.brilliance.isc.bo.Que;
import com.brilliance.isc.vo.ResponseSet;
import com.brilliance.isc.vo.automatic.TrnrelRequestVo;
import com.brilliance.isc.vo.automatic.TrnrelResultVo;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;

import javax.ws.rs.HeaderParam;

public interface IAutoClient {
    /**
     * 自动化复核feign调用
     */
    @PostMapping("/webapi/trnrel/autorelrow")
    ResponseSet<TrnrelResultVo> autoRelrow(@RequestBody TrnrelRequestVo trnrelRequestVo, @HeaderParam("AUTO_USR") String AUTO_USR);

    /**
     * 转电商并发送中台
     * @param que
     * @return
     */
    @PostMapping("/webapi/sptcpt/tranDsAndSendZt")
    ResponseSet<Boolean> tranDsAndSendZt(@RequestBody Que que, @HeaderParam("AUTO_USR") String AUTO_USR);

}
