package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bot extends AbstractCommonVo {

    //Internal Unique ID of Export Collection
    private String inr = NULLSTR;

    //Reason for Non-Payment/Non-Acceptance
    private String resrej = NULLSTR;

    //Presented Documents
    private String docpre = NULLSTR;

    //BO Tenor Details
    private String bogdet = NULLSTR;

    //Name of Vessel
    private String vesselnam = NULLSTR;

    //Goods Description
    private String goddes = NULLSTR;

    //Collection Instructions
    private String colins = NULLSTR;

    //Draft Instructions
    private String dftins = NULLSTR;

    //Protest Instructions
    private String proins = NULLSTR;

    //Charges Text
    private String chgtxt = NULLSTR;

    //Historic Overview of Narratives
    private String narhis = NULLSTR;

    //Other Instructions
    private String othins = NULLSTR;

    //List of Modified Fields in BODGRP
    private String fldmodblk = NULLSTR;

    //Instructions Received
    private String cctinsrcv = NULLSTR;

    //Instructions to Collecting Bank
    private String cctinscol = NULLSTR;

    //Instructions for Second Mail
    private String colinssnm = NULLSTR;

    //Interest Instructions
    private String intins = NULLSTR;

    //Authority of Agent
    private String agtaut = NULLSTR;

    //Content of TAG 72
    private String contag72 = NULLSTR;

    //Content of TAG 79
    private String contag79 = NULLSTR;

    //Answers
    private String bogans = NULLSTR;

    //Queries
    private String bogque = NULLSTR;

    //Payment Information as come in incoming
    private String setinsbo = NULLSTR;

    //Default content of Collection Instructions
    private String colinsdef = NULLSTR;

    //Collection instructions modified
    private String colinsflg = NULLSTR;

    //Delivery instructions
    private String delins = NULLSTR;
}
