package com.brilliance.isc.bo;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Cct extends AbstractCommonVo {

    //INR of TR-Contract
    private String inr = NULLSTR;

    //Reson for Non-Payment/Non-Acceptance
    private String resrej = NULLSTR;

    //Presented Documents
    private String docpre = NULLSTR;

    //Queries
    private String bcgque = NULLSTR;

    //Answers
    private String bcgans = NULLSTR;

    //Sender to Receiver Information
    private String strinf = NULLSTR;

    //Internal remarks
    private String intrem = NULLSTR;

    //Which MT
    private String selmt = NULLSTR;

    //Free Text
    private String cctfre = NULLSTR;

    //address info correspondent
    private String coradrblk = NULLSTR;

    //address info drawn on bank
    private String droadrblk = NULLSTR;

    //address info presenter
    private String preadrblk = NULLSTR;

    //address info nostro bank
    private String nobadrblk = NULLSTR;

    //Draft Instructions
    private String dftins = NULLSTR;

    //Charges text
    private String chgtxt = NULLSTR;

    //Interest Instructions
    private String intins = NULLSTR;

    //Settlement Instructions
    private String setins = NULLSTR;

    //Historic overview of narratives
    private String narhis = NULLSTR;

    //Infotext
    private String inftxt = NULLSTR;

    //Address info of collecting bank
    private String coladrblk = NULLSTR;

    //common reason for returned bills
    private String retson = NULLSTR;
}
