package com.brilliance.isc.bo;

import com.fasterxml.jackson.annotation.JsonFormat;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.util.Date;

import static com.brilliance.mda.runtime.mda.Constants.NULLDATE;
import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * TABLE:fftimg:
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Fftimg {

    private String inr = NULLSTR;
    private String filtyp = NULLSTR;
    private String filnam = NULLSTR;
    private String fillen = NULLSTR;
    private String filid = NULLSTR;
    private String prcinf = NULLSTR;
    private String filsta = NULLSTR;
    private String invtyp = NULLSTR;
    private String invnum = NULLSTR;
    private String invcod = NULLSTR;
    private String untamt = NULLSTR;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date invdat = NULLDATE;
    @JsonFormat(pattern="yyyy-MM-dd HH:mm:ss",timezone="GMT+8")
    private Date credat = NULLDATE;
    private String ownref = NULLSTR;
    private String etyextkey = NULLSTR;
    private String trninr = NULLSTR;
    private String msgid = NULLSTR;
    private String imgtyp = NULLSTR;
    private String objinr = NULLSTR;
    private String objtyp = NULLSTR;
    private String iniusr = NULLSTR;
    private String imgref = NULLSTR;
    private String imgtypcod = NULLSTR;
    private String vldflg = NULLSTR;
    private String filepath = NULLSTR;
    private String alsnam = NULLSTR;
    private String desp = NULLSTR;
    private String guid = NULLSTR;
    private String ecmid = NULLSTR;
    private String ecmtype = NULLSTR;
    private String occmount = NULLSTR;
    private String checkcode = NULLSTR;

}
