package com.brilliance.isc.bo;


import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Yptuid {
    /**
     * 主键
     */
    private String inr;

    /**
     * 签章机构ID
     */
    private String userid;

    /**
     *  签章ID
     */
    private String qzid;

    /**
     * 版本号
     */
    private String ver;

    /**
     * 机构编码
     */
    private String branch;

    /**
     * 签章类型
     */
    private String stbtbl;

    /**
     * 中文关键字
     */
    private String keyword;

    /**
     * 英文关键字
     */
    private String enkeyword;

    /**
     * 偏移坐标X
     */
    private String offsetcoordx;

    /**
     * 偏移坐标Y
     */
    private String offsetcoordy;

    /**
     * 签章图片宽度
     */
    private String imagewidth;

    /**
     * 签章图片高度
     */
    private String imageheight;

}
