package com.brilliance.isc.bo.auto;

import com.brilliance.mda.runtime.mda.util.Decimals;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * 自动化签约业务规则
 */
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class AutoSignRule {
    //Internal Unique ID
    private String inr = NULLSTR;

    private String signinfoinr = NULLSTR;

    //场景编号
    private String scenecode = NULLSTR;
    //是否为场景下默认规则
    private String isdefault = NULLSTR;
    //规则字段
    private String rulekey = NULLSTR;
    //规则对比内容
    private String content = NULLSTR;
    //规则字段描述
    private String keytxt = NULLSTR;
    //规则（equal等于、noequal不等于、contains字符包含、in集合包含、notcon字符不包含、notin集合不包含、待补充）
    private String symbols = NULLSTR;
    //规则字段类型
    private String keytyp = NULLSTR;
}
