package com.brilliance.isc.common.api.trndoc.vo;

import com.brilliance.mda.runtime.mda.IStream;
import com.brilliance.mda.runtime.mda.impl.StreamImpl;
import com.brilliance.isc.common.trndoc.vo.DoceotVo;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import io.swagger.annotations.ApiModel;
import io.swagger.annotations.ApiModelProperty;
import lombok.Builder;
import lombok.Data;

import java.util.List;
import java.util.Map;

@Data
@Builder
@ApiModel(value = "面函请求返回信息", description = "面函请求返回信息")
public class TrndocResponse extends AbstractCommonVo {

    @ApiModelProperty(value = "面函列表", name = "doceot", required = true)
    private List<DoceotVo> doceot;

    //Stream holding parameters for settlement 这里可能是输出给SetmodVo
    @ApiModelProperty(value = "parstm", name = "parstm", required = true)
    private IStream parstm;

    private List<Map<String, String>> shwinc;
    private List<Map<String, String>> shwout;
}
