package com.brilliance.isc.common.limmod.vo;

import com.brilliance.isc.esb.model.clm.ReqCL43;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.Data;

import java.util.ArrayList;
import java.util.List;


public class LimOccVo {

   public String Qtls;
    /**
     * 客户ECIF号[0,40]
     */
    public String ECIFNO;
    /**
     * 客户名称[0,100]
     */
    public String KEHUMC;
    /**
     * 柜员号[0,20]
     */
    public String GUIYID;
    /**
     * 放款审核经办经办机构号[0,40]
     */
    public String JIBAJQ;
    /**
     * 业务品种[0,40]
     */
    public String YWPZHO;
    /**
     * 业务场景[0,10]
     */
    public String YEWUCJ;
    /**
     * 国结交易编码[0,10]
     */
    public String GJJYBM;
    /**
     * 业务编号[0,40]
     */
    public String YEWUNO;
    /**
     * 关联业务编号[0,40]
     */
    public String GLYWBH;
    /**
     * 业务币种[0,40]
     */
    public String BIZHON;
    /**
     * 业务金额[0,24]
     */
    public String YEWUJE;
    /**
     * 业务余额[0,24]
     */
    public String YEWUYE;
    /**
     * 容差值[0,24]
     */
    public String ROCZHI;
    /**
     * 保证金余额[0,24]
     */
    public String BZJYUE;
    /**
     * 起始日[0,10]
     */
    public String QISHIR;
    /**
     * 到期日[0,10]
     */
    public String DAOQIR;
    /**
     * 额度类型[0,10]
     */
    public String EDLEIX;
    /**
     * 额度编号[0,40]
     */
    public String EDBHAO;
    /**
     * 是否转授权业务[0,1]
     */
    public String SFZSQYW;
    /**
     * 转授权客户编号[0,40]
     */
    public String ZSQKHBH;
    /**
     * 是否分公司业务[0,1]
     */
    public String SFFGSYW;
    /**
     * 总公司客户编号[0,40]
     */
    public String ZGSKHBH;

    public List<ItemFCL431> FCL431 = new ArrayList();

    public List<ItemFCL432> FCL432 = new ArrayList();
    @JsonInclude(JsonInclude.Include.NON_NULL)
    public static class ItemFCL431 {

        /**
         * 额度明细编号[0,200]
         */
        public String EDMXBH;
        /**
         * 占用额度品种编号[0,100]
         */
        public String EDCPDM;
        /**
         * 拟占用金额(名义金额)[0,100]
         */
        public String ZHYJIY;
        /**
         * 恢复序号[0,100]
         */
        public String HUIFXH;


    }
    public static class ItemFCL432 {
        /**
         * 同业ECIF客户号[0,40]
         */
        public String TYKHBH;
        /**
         * 同业SWIFT号[0,40]
         */
        public String TYSWIT;
        /**
         * 同业客户名称[0,100]
         */
        public String TYKHMC;
        /**
         * 占用同业额度编号[0,40]
         */
        public String TYEDBH;
        /**
         * 占用同业明细额度编号[0,40]
         */
        public String TYMXBH;
        /**
         * 额度品种编号[0,40]
         */
        public String EDCPDM;
        /**
         * 拟占用同业额度金额(业务币种)[0,24]
         */
        public String TYZYJY;
        /**
         * 是否转授权业务(同业/担保)[0,100]
         */
        public String SFZSQYW;
        /**
         * 是否转授权业务(同业/担保)[0,100]
         */
        public String ZSQKHBH;
        /**
         * 是否分公司业务(同业/担保)[0,100]
         */
        public String SFFGSYW;
        /**
         * 总公司客户编号(同业/担保)[0,100]
         */
        public String ZGSKHBH;
    }

}
