package com.brilliance.isc.vo.collection;

import com.brilliance.isc.common.vo.BizInfoVo;
import com.brilliance.isc.common.vo.PtsptaVo;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
 * 出口托收业务要素
 */
@Data
public class BodBizInfoVo extends BizInfoVo {

    private BigDecimal docamt = BigDecimal.ZERO;

    private String doccur;

    private BigDecimal redamt = BigDecimal.ZERO;

    private String oridre;

    private String focflg;

    private String doctypcod;

    private String sndmsg;

    private String rejtypsel;

    private String rejpenins;

    private BigDecimal newamt = BigDecimal.ZERO;

    private String amecur;

    private BigDecimal ameamt = BigDecimal.ZERO;

    private String semflg;

    private Docgrdm docgrdm;

    //fremsg相关
    private String sndmt;
    private  String msgrol = NULLSTR;
    private  String ccrol = NULLSTR;
    private PtsptaVo othmsg;
    private PtsptaVo othcc;
    private  String reldir = NULLSTR;
    private  String fulmt = NULLSTR;
    private  String relmt = NULLSTR;

    //默认对手费用收取角色
    private String feecorrol = NULLSTR;

    private String ownref;

    private String stacty;

    // 面函取数
    private String othins;
    private String waicolcod;
    private String wairmtcod;

    //来报金额
    private BigDecimal mtamt = BigDecimal.ZERO;
}
