package com.brilliance.isc.vo.component.trn;

import com.fasterxml.jackson.annotation.JsonFormat;
import io.swagger.annotations.ApiModelProperty;
import lombok.Data;

import java.util.Date;
import java.util.List;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
public class TrnParamVo {
    private String userId = NULLSTR;
    // 业务编码
    private String ownref = NULLSTR;

    private String inifrm;

    // 创建时间（结束时间）
    private String inidattil;

    // 创建时间（开始时间）
    private String inidatfro;

    // 经办柜员
    private String usrcon = NULLSTR;

    // 业务状态
    private String relflg = NULLSTR;

    private List<String> relflgList ;

    // 业务机构
    private String bchcon = NULLSTR;

    // 交易代码
    private String cod = NULLSTR;

    // 业务标志
    private String dflg = NULLSTR;

    // 交易名称
    private String atptxt = NULLSTR;

    private String bchtyp = NULLSTR;

    private String iniusr = NULLSTR;

    private String fromDate = NULLSTR;

    private String endDate = NULLSTR;

    private int pageNum;

    private int pageSize;

    private String orgBranch;

    @ApiModelProperty("角色ID")
    private String roletypeId;

    @ApiModelProperty("角色name")
    private String roletypeName;

    private String codeLev; //01 一级代码， 02 二级代码

    private String orderStr;

    private String columnStr;

    private List<String> tranType;

    @ApiModelProperty("业务处理模式")
    private String tranTypeStr;//01 :收单行 02,非收单行

    @ApiModelProperty("查询模式")
    private String searchModel;//OWN :search own,ALL:search all

    private List<String> bustypList;

    private String minamt;

    private String maxamt;

}
