package com.brilliance.isc.vo.lg;

import com.brilliance.isc.common.limmod.vo.LsbDetailVo;
import com.brilliance.isc.common.transaction.vo.BaseTransactionVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;


@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class InflsbVo  extends BaseTransactionVo {
    private LimpanVo limpan;
    private String sealsntyp;
    private String nonrevflg;
    private String seaptyinr;
    private String seaptyextkey;
    private String seactycod;
    private String recpanregcod;
    private String seaptynam;
    private String ctycod;
    private String regtxt;
    /**
     * 每页大小
     */
    private Integer pageSize;
    /**
     * 当前页数
     */
    private Integer pageNum;
    /**
     * 额度业务明细
     */
    private LsbDetailVo lsbDetailVo;


    public void reset() {
       if(lsbDetailVo == null){
           lsbDetailVo= new LsbDetailVo();
       }
    }
}
