package com.brilliance.isc.vo.manager;

import com.brilliance.isc.model.BaseEntity;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

@JsonIgnoreProperties(ignoreUnknown = true)
@Data
public class AuzlvlVo extends BaseEntity {
    // 唯一ID，主键
    private String inr;

    // 业务机构
    private String branch;

    // 业务机构名称
    private String bchname;

    // 授权档次
    private String authlevel;

    // 授权档次名称
    private String authlevelname;

    // 业务/交易
    private String type;

    private String typename;

    // 业务/交易编码
    private String code;

    private String codename;

    // 授权币种
    private String relcur;

    // 币种名称
    private String relcurname;

    // 授权金额
    private BigDecimal relamt;

    // 单次授权金额
    private BigDecimal autamt;
}
