package com.brilliance.isc.vo.model;

import com.brilliance.isc.bo.model.Bedgrp;
import com.brilliance.isc.bo.model.Betp;
import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;
import org.slf4j.Logger;
import org.slf4j.LoggerFactory;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

/**
* Module to Handle Sendout of Documents for Export L/C Document Set
*/
@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class Bedsnd extends AbstractCommonVo {
		private static Logger log = LoggerFactory.getLogger(Bedsnd.class);

        //Additional phrases for Payer
        private  String addphr = NULLSTR;

        //Instructions re usance documents
        private  String usadet = NULLSTR;

        //Create MT 732
        private  String snd732 = NULLSTR;

        //Ammendment Benificiary Address
        private  String newbenadr = NULLSTR;

        //议付
        private  String yf = NULLSTR;

        //付款方式
        private  String fktype = NULLSTR;

        //寄单方式
        private  String jstype = NULLSTR;

        //Ignore Discrepancies
        private  String ingdsc = NULLSTR;

		private Bedgrp bedgrp;

		
		private Betp betp;


}