package com.brilliance.isc.vo.model;

import com.brilliance.isc.common.vo.AbstractCommonVo;
import com.brilliance.isc.vo.collection.Docgrdm;
import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import lombok.Data;

import java.math.BigDecimal;

import static com.brilliance.mda.runtime.mda.Constants.NULLSTR;

@Data
@JsonIgnoreProperties(ignoreUnknown = true)
public class BetpVo extends AbstractCommonVo {

    //Panel Status  E-nable, D-isable, I-nvisible
    private  String pansta = NULLSTR;

    //unbalanced LIA Extids
    private  String liaextids = NULLSTR;

    //Processing Options
    private  String folwupopt = NULLSTR;

    //Add. amount
    private  String adaflg = NULLSTR;

    //MT752: Further Indentification
    private  String furide = NULLSTR;

    //Create 752
    private  String cre752flg = NULLSTR;

    //Register to Handle Discrepancies
    private  String dcrflg = NULLSTR;

    //Register to Send and Settle Documents
    private  String setnowflg = NULLSTR;

    //Language of correspon. to BEN
    private  String bendocuil = NULLSTR;

    private Docgrdm docgrdm;

    //Add. Amount Flag
    private  String addamtflg = NULLSTR;

    /**
     * betset 202报文32A币种
     */
    private String mtcur;

    /**
     * betset 202报文32A金额
     */
    private BigDecimal mtamt = BigDecimal.ZERO;

    @Override
    public void reset() {
        super.reset();
        if (docgrdm == null) {
            docgrdm = new Docgrdm();
        }
        docgrdm.reset();
    }
}
