package com.brilliance.isc.vo.report;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ReportD06Vo {

  private String ownref;//业务编号
  private String rptno;//外债编号
  private BigDecimal resamt = BigDecimal.ZERO;//
  @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
  private Date credat;//创建日期
  private String objinr;//objinr
  private BigDecimal d0607 = BigDecimal.ZERO;//"上月末应付利息余额"
  private BigDecimal d0610 = BigDecimal.ZERO;//"本月末应付利息余额"
  private BigDecimal d0611 = BigDecimal.ZERO;//"本月非交易变动"
  private String remark;//备注


}
