package com.brilliance.isc.vo.report;

import com.fasterxml.jackson.annotation.JsonFormat;
import lombok.Data;

import java.math.BigDecimal;
import java.util.Date;

@Data
public class ReportForLidVo {
    private String inr;//lidinr
    private String bchname;//归属机构
    private String extkey;//客户号
    private String ptyname;//客户名称
    private String cshpct;//保证金应收比例
    private String tenmaxday;//远期期限
    private String ownref;//业务编号
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date opndat;//开立日期
    @JsonFormat(pattern="yyyy-MM-dd",timezone="GMT+8")
    private Date expdat;//到期日
    private String cur;//币种
    private BigDecimal amt;//金额
    private BigDecimal xrfamt;//折算金额
    private String ccvcur;//保证金币种
    private BigDecimal ccvamt;//保证金金额
    private BigDecimal add_sum2;//承兑金额
    private BigDecimal add_sum3;//承兑折算金额

    private String gartyp;//保函类型
    private BigDecimal add_sum;//收费金额
    private BigDecimal rat;//收费利率

    private String pyeExtkey;//收款人
    private String pyeName;//收款人名称
    private String orcExtkey;//汇款人
    private String orcName;//汇款人名称


}
