package com.brilliance.isc.esb.api.clm;

import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.clm.ReqDO01;
import com.brilliance.isc.esb.model.clm.ResDO01;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestBody;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * CLM 额度管理系统服务方
 *
 * @restApi
 */

@RequestMapping("/SSTF")
public interface ClmServer {
    /**
     * DO01 抹账CL85后的业务信息
     *
     * @param reqDO01
     * @return
     */
    @PostMapping("/DO01")
    Res<ResDO01> doDO01(@RequestBody ReqDO01 reqDO01);
}
