package com.brilliance.isc.esb.api.ebmcp;

import com.brilliance.isc.esb.model.Req;
import com.brilliance.isc.esb.model.Res;
import com.brilliance.isc.esb.model.ebmp.ReqGF03;
import com.brilliance.isc.esb.model.ebmp.ResGF03;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * EBMCP 总行中间业务云平台
 *
 * @restApi
 */
@RequestMapping("/EBMCP")
public interface EbmcpClient {


    /**
     * GF03 F系统往报请求对象
     *
     * @param reqGF03
     * @return
     */
    @PostMapping("/GF03")
    Res<ResGF03> callGF03(Req<ReqGF03> reqGF03);
}
