package com.brilliance.isc.esb.api.inner;

import com.brilliance.isc.esb.model.inner.InnerReq;
import com.brilliance.isc.esb.model.inner.InnerReqDzw1;
import com.brilliance.isc.esb.model.inner.InnerRes;
import com.brilliance.isc.esb.model.inner.InnerResDzw1;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * jk 对内系统的统一接口平台服务端接口
 *
 * @restApi
 */

@RequestMapping("/jk")
public interface InnerEmbfeServer {
    /**
     * DZW1 电证往报
     *
     * @param innerReqDzw1
     * @return
     */
    @PostMapping("/DZW1")
    InnerRes<InnerResDzw1> callDZW1(InnerReq<InnerReqDzw1> innerReqDzw1);

}
