package com.brilliance.isc.esb.api.newcpm;

import com.brilliance.isc.esb.model.cpm.ResNewCpc3;
import com.brilliance.isc.esb.newmodel.PeripheralRequest;
import com.brilliance.isc.esb.newmodel.PeripheralResponse;
import org.springframework.web.bind.annotation.PostMapping;
import org.springframework.web.bind.annotation.RequestMapping;

/**
 * 新CPM客户定价系统feign接口
 *
 * @restApi
 */
@RequestMapping("cpmwf/webapi/edsp")
public interface NewCpmClient {
    /**
     * 定价审批代码查询（点对点）
     *
     * @param peripheralRequest
     * @return
     */
    @PostMapping("/cpc3")
    PeripheralResponse<ResNewCpc3> callCPC3(PeripheralRequest peripheralRequest);

}
