package com.brilliance.isc.esb.model.ebmp;

import com.fasterxml.jackson.annotation.JsonIgnoreProperties;
import com.fasterxml.jackson.annotation.JsonInclude;
import lombok.AllArgsConstructor;
import lombok.Data;
import lombok.NoArgsConstructor;

/**
 * 6701 swift汇款中台请求国结付汇申请对外请求对象
 */
@Data
@NoArgsConstructor
@AllArgsConstructor
@JsonIgnoreProperties(ignoreUnknown = true)
@JsonInclude(JsonInclude.Include.NON_NULL)
public class Req6701 {

    /**
     * 唯一流水号[0,40]
     */
    public String WYILSH;

    /**
     * 渠道号[0,3]
     */
    public String QUDHAO;

    /**
     * 第三方支付机构流水号[0,50]
     */
    public String SHLSH;

    /**
     * 备付金账号[0,34]
     */
    public String BFJZHAO;

    /**
     * 汇款币种[0,3]
     */
    public String JIYIBZ;

    /**
     * 汇款金额[0,15]
     */
    public String QISUJE;

    /**
     * 汇款人账号[0,34]
     */
    public String HKRZHH;

    /**
     * 核心机构号[0,4]
     */
    public String BRANCH;

    /**
     * 支付机构ECIF号[0,10]
     */
    public String ECIFNO;

    /**
     * 汇款人中文名称[0,140]
     */
    public String ZHWMCH;

    /**
     * 汇款人中文地址[0,140]
     */
    public String ZHWDZH;

    /**
     * 汇款人英文名称[0,140]
     */
    public String YIWMCH;

    /**
     * 汇款人英文地址[0,140]
     */
    public String YIWDZH;

    /**
     * 收款人开户银行的代理行[0,11]
     */
    public String SKRDLH;

    /**
     * 收款人开户银行在其代理行的账号[0,34]
     */
    public String SKRDLZ;

    /**
     * 收款人开户银行BIC[0,11]
     */
    public String BICNUM;

    /**
     * 清算代码[0,34]
     */
    public String QISDAM;

    /**
     * 收款人开户行银行名称[0,138]
     */
    public String SKYHMC;

    /**
     * 收款人开户行银行地址[0,140]
     */
    public String SKYHDZ;

    /**
     * 收款人账号[0,34]
     */
    public String SKRZHH;

    /**
     * 收款人英文名称[0,140]
     */
    public String SKRMCH;

    /**
     * 收款人英文地址[0,140]
     */
    public String SKRDZH;

    /**
     * 付款信息[0,140]
     */
    public String FUKXIX;

    /**
     * 费用承担[0,3]
     */
    public String FEYCHD;

    /**
     * 发报行给收报行的附言[0,210]
     */
    public String FGSFYA;

    /**
     * 备用字段1[0,140]
     */
    public String BEYZD1;

    /**
     * 备用字段2[0,140]
     */
    public String BEYZD2;

    /**
     * 备用字段3[0,140]
     */
    public String BEYZD3;

    /**
     * 备用字段4[0,140]
     */
    public String BEYZD4;

    /**
     * 备用字段5[0,140]
     */
    public String BEYZD5;

}
