package com.brilliance.isc.esb.model.ejs;


import com.brilliance.isc.esb.model.ErrorData;
import com.fasterxml.jackson.annotation.JsonInclude;

import java.util.ArrayList;
import java.util.List;

/**
 * seg03 网银购汇限额查询对外响应对象
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class ResSeg03 extends ErrorData {

    /**
     * 交易结果[0,7]
     */
    public String JIAYJG;


    /**
     * 币种限额信息
     */
    public List<ItemList> list = new ArrayList<>();

    public static class ItemList{

        /**
         * 币种[0,3]
         */
        public String CURRENCY;

        /**
         * 售汇单笔限额[15,2]
         */
        public String DBXE;
    }

    public ResSeg03() {
    }

    public ResSeg03(String JIAYJG, List<ItemList> list) {
        this.JIAYJG = JIAYJG;
        this.list = list;
    }
}
