package com.brilliance.isc.esb.model.inner;

/**
 * 6157 核心系统提供的贷款还款试算交易
 *
 *
 *          <field id="ZANGHO" var="zangho" description="帐号" />
 * 			<field id="JIEJUH" var="jiejuh" description="借据号" />
 * 			<field id="HUKUZH" var="hukuzh" description="还款帐号" />
 * 			<field id="HUKUFS" var="hukufs" description="还款方式" />
 * 			<field id="JO1IJE" var="jo1ije" description="交易金额" />
 * 			<field id="JOYIJE" var="joyije" description="交易金额" />
 * 			<field id="JOYIMA" var="joyima" description="交易码" />
 *
 */
public class InnerReq6157 {

    /**
     * 账号
     */
    public String zangho;

    /**
     * 借据号
     */
    public String jiejuh;

    /**
     * 还款帐号
     */
    public String hukuzh;

    /**
     * 还款方式
     */
    public String hukufs;

    /**
     * 交易金额
     */
    public String jo1ije;

    /**
     * 交易金额
     */
    public String joyije;

    /**
     * 交易码
     */
    public String joyima;

    public InnerReq6157() {
    }

    public InnerReq6157(String zangho, String jiejuh, String hukuzh, String hukufs, String jo1ije, String joyije, String joyima) {
        this.zangho = zangho;
        this.jiejuh = jiejuh;
        this.hukuzh = hukuzh;
        this.hukufs = hukufs;
        this.jo1ije = jo1ije;
        this.joyije = joyije;
        this.joyima = joyima;
    }
}
