package com.brilliance.isc.esb.model.inner;

import com.fasterxml.jackson.annotation.JsonInclude;

/**
 *8680 核心系统提供二代支付来账查询响应
 */
@JsonInclude(JsonInclude.Include.NON_NULL)
public class InnerRes8680 {
    public InnerRes8680() {
    }

    public InnerRes8680(String yewubh, String drhgzh, String shyin1, String xyshbh, String shmgxx, String sqqzmc, String shdhmc, String jiybsh, String lindat, String feecod, String feesen, String feecom, String commet, String skrmc2, String skrmc3, String fkrmc2, String fkrmc3, String skrdz2, String skrdz3, String skrdz4, String skrdz5, String fkrdz2, String fkrdz3, String fkrdz4, String fkrdz5, String skrzh2, String fkrzh2, String oribusnum, String agency, String agname, String agency2, String agname2) {
        this.yewubh = yewubh;
        this.drhgzh = drhgzh;
        this.shyin1 = shyin1;
        this.xyshbh = xyshbh;
        this.shmgxx = shmgxx;
        this.sqqzmc = sqqzmc;
        this.shdhmc = shdhmc;
        this.jiybsh = jiybsh;
        this.lindat = lindat;
        this.feecod = feecod;
        this.feesen = feesen;
        this.feecom = feecom;
        this.commet = commet;
        this.skrmc2 = skrmc2;
        this.skrmc3 = skrmc3;
        this.fkrmc2 = fkrmc2;
        this.fkrmc3 = fkrmc3;
        this.skrdz2 = skrdz2;
        this.skrdz3 = skrdz3;
        this.skrdz4 = skrdz4;
        this.skrdz5 = skrdz5;
        this.fkrdz2 = fkrdz2;
        this.fkrdz3 = fkrdz3;
        this.fkrdz4 = fkrdz4;
        this.fkrdz5 = fkrdz5;
        this.skrzh2 = skrzh2;
        this.fkrzh2 = fkrzh2;
        this.oribusnum = oribusnum;
        this.agency = agency;
        this.agname = agname;
        this.agency2 = agency2;
        this.agname2 = agname2;
    }

    /**
     * 业务编号
     */
    public String yewubh;

    /**
     * 开证行编号
     */
    public String drhgzh;

    /**
     * 信用证编号
     */
    public String shyin1;

    /**
     * 到单编号
     */
    public String xyshbh;

    /**
     * 交单行行号
     */
    public String shmgxx;

    /**
     * 寄单索款编号
     */
    public String sqqzmc;

    /**
     * 债权转让书原发起直参行行号
     */
    public String shdhmc;

    /**
     * 债权转让书报文标识
     */
    public String jiybsh;

    /**
     * 委托日期
     */
    public String lindat;

    /**
     * 中间业务种类
     */
    public String feecod;

    /**
     * 交易金额1
     */
    public String feesen;

    /**
     * 交易金额2
     */
    public String feecom;


    /**
     * 附言1
     */
    public String commet;

    /**
     * 收款人名称2
     */
    public String skrmc2;

    /**
     * 收款人名称3
     */
    public String skrmc3;

    /**
     * 付款人名称2
     */
    public String fkrmc2;

    /**
     * 付款人名称3
     */
    public String fkrmc3;

    /**
     * 收款人地址2
     */
    public String skrdz2;

    /**
     * 收款人地址3
     */
    public String skrdz3;

    /**
     * 收款人地址4
     */
    public String skrdz4;

    /**
     * 收款人地址5
     */
    public String skrdz5;

    /**
     * 付款人地址2
     */
    public String fkrdz2;

    /**
     * 付款人地址3
     */
    public String fkrdz3;

    /**
     * 付款人地址4
     */
    public String fkrdz4;

    /**
     * 付款人地址5
     */
    public String fkrdz5;

    /**
     * 收款人地址2
     */
    public String skrzh2;

    /**
     * 付款人账号2
     */
    public String fkrzh2;

    /**
     * 端到端标识号
     */
    public String oribusnum;

    /**
     * 中介机构1
     */
    public String agency;

    /**
     * 中介机构1名称
     */
    public String agname;

    /**
     * 中介机构2
     */
    public String agency2;

    /**
     * 中介机构2名称
     */
    public String agname2;
}
