package com.brilliance.isc.esb.model.whj.content.sinosure;

import com.brilliance.isc.esb.model.whj.content.UnCryptContent;
import lombok.Data;

/**
 * /v1/asset/check 关单核验
 * /v1/asset/detail 融资申请详情查询
 * /v1/asset/retry 资产上链失败重试
 * /v1/asset/change-to-export 信保业务转普通出口业务
 *
 * */

@Data
public class SinoCheckContent extends UnCryptContent {

    public String safeAssetId;

}
